System.ServiceModel 4.0.0.0 System.Enum

Values from this enumeration are used by the

property to indicate how a message must be authenticated by the MSMQ transport.

If security is turned off by setting the to , then the property must also be set to for consistency.

Specifies the type of authentication used for the binding.

- Field
  4.0.0.0
  System.ServiceModel.MsmqAuthenticationMode

  The client is authenticated using X.509 certificates. The client certificate must be present in the certificate store of the server.

- Field
  4.0.0.0
  System.ServiceModel.MsmqAuthenticationMode

  No security is used with this binding.

- Field
  4.0.0.0
  System.ServiceModel.MsmqAuthenticationMode

  Kerberos is used for authentication. The client and server must be joined to a trusted domain.